## org.eclipse.datatools.sqltools.editor.core.connection
Class SQLToolsConnectListenersManager

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.core.connection.SQLToolsConnectListenersManager

public class SQLToolsConnectListenersManager
extends java.lang.Object

This class is to manage all connect event listeners in SQL Dev Tools.

Author:
  Idull

Method Summary
`void` `addConnectListener(ISQLToolsConnectListener listener)`
`void` `fireAboutToClose(ConnectEvent event)`
`void` `fireCloseConnection(ConnectEvent event)`
`boolean` `fireOkToClose(ConnectEvent event)`
`void` `fireProfileConnected(ConnectEvent event)`
`static SQLToolsConnectListenersManager` `getInstance()`
`void` `removeConnectListener(ISQLToolsConnectListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SQLToolsConnectListenersManager getInstance()

### addConnectListener

    public void addConnectListener(ISQLToolsConnectListener listener)

### removeConnectListener

    public void removeConnectListener(ISQLToolsConnectListener listener)

### fireOkToClose

    public boolean fireOkToClose(ConnectEvent event)

### fireAboutToClose

    public void fireAboutToClose(ConnectEvent event)
                          throws CoreException

  Throws:
    `CoreException`

### fireProfileConnected

    public void fireProfileConnected(ConnectEvent event)
                              throws CoreException

  Throws:
    `CoreException`

### fireCloseConnection

    public void fireCloseConnection(ConnectEvent event)
                             throws CoreException

  Throws:
    `CoreException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.